#include<stdio.h>

void write(char a, char b, int n)
{
    for(int i = 0; i < n; i++)
        printf("%c%c", a, b);


}

int main()
{
    char a, b;
    int n, m;

    scanf("%c%c", &a, &b);
    scanf("%d%d", &n, &m);

    if(n-m > 1 || m-n > 1)
    {
        printf("nemoguce");
        return 0;
    }
    if(n-m == 1)
    {
        printf("%c", a);
        write(b, a, m);
        return 0;
    }
    if(m-n == 1)
    {
        printf("%c", b);
        write(a, b, n);
        return 0;
    }
    write(a, b, n);



}